%bcond_without gsl

Summary: Fast Bayesian Spam Filter.
Name: bogofilter
Version: 1.0.2
Release: 6%{?dist}
License: GPL
Group: Applications/Internet
URL: http://bogofilter.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/bogofilter/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: db4-devel
%{?with_gsl:BuildRequires: gsl-devel}

%description
Bogofilter is a mail filter that classifies mail as spam or ham
(non-spam) by a statistical analysis of the message's header and
content (body). The program is able to learn from the user's
classifications and corrections.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING GETTING.STARTED NEWS README* RELEASE.NOTES TODO
%doc bogofilter.cf.example
%doc doc/*.html doc/README*
%config(noreplace) %{_sysconfdir}/bogofilter.cf.example
%{_bindir}/bf_compact
%{_bindir}/bf_copy
#%{_bindir}/bf_resize
%{_bindir}/bf_tar
%{_bindir}/bogofilter
%{_bindir}/bogolexer
%{_bindir}/bogotune
%{_bindir}/bogoupgrade
%{_bindir}/bogoutil
%{_mandir}/man1/bogofilter.1*
%{_mandir}/man1/bogolexer.1*
%{_mandir}/man1/bogotune.1*
%{_mandir}/man1/bogoupgrade.1*
%{_mandir}/man1/bogoutil.1*
%{_mandir}/man1/bf_compact.1*
%{_mandir}/man1/bf_copy.1*
#%{_mandir}/man1/bf_resize.1*
%{_mandir}/man1/bf_tar.1*


%changelog
* Mon Jul 10 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.2.

* Mon Jan  2 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.1.

* Fri Dec  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0.

* Tue Nov 22 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.96.6.

* Sat May 21 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.94.12.

* Tue Jan 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

